<template>
  <div class="inner-bg-style createOrderStyle cardCurrentStyle1">
    <el-tabs v-if="!$route.query.orderId" v-model="activeName" type="card">
      <el-tab-pane label="手工录入" name="first">
        <create-order-components :adressArray="adressArray" :shopNameArr="shopNameArr">
        </create-order-components>
      </el-tab-pane>
      <el-tab-pane label="批量导入" name="second">
        <batch-import-create-order :adressArray="adressArray" :shopNameArr="shopNameArr">
        </batch-import-create-order>
      </el-tab-pane>
    </el-tabs>
    <create-order-components v-else></create-order-components>
  </div>
</template>

<script>
import businessReportApi from '@/api/businessReport'
import createOrderComponents from './components/createOrderComponents.vue'
import batchImportCreateOrder from './components/batchImportCreateOrder.vue'
import addressResourcesApi from '@/api/addressResources'

export default {
  components: { createOrderComponents, batchImportCreateOrder },
  data() {
    return {
      activeName: 'first',
      adressArray: [],
      shopNameArr: [],//门店名称
    }
  },
  created() {
    this.getShopNameList();
    this.getAdressArray()
  },
  methods: {
    /**
     * 获取省市区数据
     */
    getAdressArray() {
      addressResourcesApi.getList().then(res => {
        if (res.data) {
          this.adressArray = res.data
        }
      })
    },
    /**
    * 获取店铺名称下拉数据
    */
    async getShopNameList() {
      const res = await businessReportApi.getShopNameArr({ dictGroup: 'platform_shop_name' })
      let _data = res.data;
      if (res.code === '0' && _data.length) {
        let arr = [];
        _data.forEach((item) => {
          arr.push({
            id: item.code,
            name: item.name
          })
        })
        this.shopNameArr = arr;
      }
    },
  }
}
</script>

<style>
.createOrderStyle,
.createOrderStyle .el-tabs__content {
  padding: 20px;
}
</style>
